"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const python_1 = __importDefault(require("./core/python"));
const connectkernel_1 = require("./communication/connectkernel");
function aa() {
    return __awaiter(this, void 0, void 0, function* () {
        connectkernel_1.startKernel(51315, 55549);
        return;
        let model;
        yield python_1.default.scope('test1', (python) => {
            const _ = python.nA;
            const np = python.import('numpy');
            const keras = python.import('keras');
            const [Sequential] = python.fromImport('keras.models', ['Sequential']);
            const [Dense, Dropout, Flatten] = python.fromImport('keras.layers', ['Dense', 'Dropout', 'Flatten']);
            const [Conv2D, MaxPooling2D] = python.fromImport('keras.layers', ['Conv2D', 'MaxPooling2D']);
            const [SGD] = python.fromImport('keras.optimizers', ['SGD']);
            const x_train = np.random.random([100, 100, 100, 3]);
            const y_train = keras.utils.to_categorical(np.random.randint(10, _({ size: [100, 1] })), _({ num_classes: 10 }));
            const x_test = np.random.random([20, 100, 100, 3]);
            const y_test = keras.utils.to_categorical(np.random.randint(10, _({ size: [20, 1] })), _({ num_classes: 10 }));
            model = Sequential();
            model.add(Conv2D(32, [3, 3], _({ activation: 'relu', input_shape: [100, 100, 3] })));
            model.add(Flatten());
            model.add(Dense(256, _({ activation: 'relu' })));
            model.add(Dense(10, _({ activation: 'softmax' })));
            const sgd = SGD(_({
                lr: 0.01,
                decay: 1e-6,
                momentum: 0.9,
                nesterov: true
            }));
            model.compile(_({
                loss: 'categorical_crossentropy',
                optimizer: sgd
            }));
            model.fit(x_train, y_train, _({ batch_size: 32, epochs: 1 }));
        });
        yield python_1.default.scope('test1', (python) => {
            console.log('here');
            python.print(model);
        });
    });
}
aa();
//# sourceMappingURL=index.js.map